# TCLSADIE_CC_C99_FLAG
# --------------------
AC_DEFUN([TCLSADIE_CC_C99_FLAG],
[AC_REQUIRE([AC_PROG_CC])dnl
  AC_CACHE_CHECK([whether $CC accepts a flag to enable C99 features],
                 [tclsadie_cv_cc_c99_flag],
                 tclsadie_old_CPPFLAGS="${CPPFLAGS}"
                 for tclsadie_cv_cc_c99_flag in "-std=c99" "-std=iso9899:1999" ""
                 do
                   CPPFLAGS="${tclsadie_old_CPPFLAGS} ${tclsadie_cv_cc_c99_flag}"
                   AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[static int i = 1;]],[[int j = i;]])],
                                     break)
                 done
                 CPPFLAGS="${tclsadie_old_CPPFLAGS}")
  if test "x${tclsadie_cv_cc_c99_flag}" != "x" ; then
    CPPFLAGS="${CPPFLAGS} ${tclsadie_cv_cc_c99_flag}"
  fi
])# TCLSADIE_CC_C99_FLAG

