# TCLSADIE_C_C99_VARARGS
# -------------------
AC_DEFUN([TCLSADIE_C_C99_VARARGS],
[AC_REQUIRE([AC_PROG_CC])dnl
  AC_CACHE_CHECK([whether $CC recognizes C9X-style varadic macros],
                 [tclsadie_cv_c_c99_varargs],
                 [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#define vatest(c, ...) c=31,__VA_ARGS__]],
                                                     [[int n,x,y,z; for(vatest(n,x=42,y=17,z=0);n--;x++,y++,z++);]])],
                                    [tclsadie_cv_c_c99_varargs=yes],
                                    [tclsadie_cv_c_c99_varargs=no])])
  if test "x$tclsadie_cv_c_c99_varargs" = "xyes"; then
    AC_DEFINE([HAVE_C99_VARARGS], 1,
              [Define to 1 if the C complier supports C9X-style varadic macros.])
  fi
])# TCLSADIE_C_C99_VARARGS

