# TCLSADIE_C_PRETTY_FUNCTION
# -----------------------
AC_DEFUN([TCLSADIE_C_PRETTY_FUNCTION],
[AC_REQUIRE([AC_PROG_CC])dnl
  AC_CACHE_CHECK([whether $CC recognizes GCC-style __PRETTY_FUNCTION__],
                 [tclsadie_cv_c_pretty_function],
                 [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([],
                                                     [[char *s = __PRETTY_FUNCTION__;]])],
                                    [tclsadie_cv_c_pretty_function=yes],
                                    [tclsadie_cv_c_pretty_function=no])])
  if test "x$tclsadie_cv_c_pretty_function" = "xyes"; then
    AC_DEFINE([HAVE_PRETTY_FUNCTION], 1,
              [Define to 1 if the C complier supports GCC-style __PRETTY_FUNCTION__.])
  fi
])# TCLSADIE_C_PRETTY_FUNCTION

