# TCLSADIE_C_OLDGCC_VARARGS
# ----------------------
AC_DEFUN([TCLSADIE_C_OLDGCC_VARARGS],
[AC_REQUIRE([AC_PROG_CC])dnl
  AC_CACHE_CHECK([whether $CC recognizes GCC old-style varadic macros],
                 [tclsadie_cv_c_oldgcc_varargs],
                 [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#define vatest(c, r...) c=31,r]],
                                                     [[int n,x,y,z; for(vatest(n,x=42,y=17,z=0);n--;x++,y++,z++);]])],
                                    [tclsadie_cv_c_oldgcc_varargs=yes],
                                    [tclsadie_cv_c_oldgcc_varargs=no])])
  if test "x$tclsadie_cv_c_oldgcc_varargs" = "xyes"; then
    AC_DEFINE([HAVE_OLDGCC_VARARGS], 1,
              [Define to 1 if the C complier supports GCC old-style varadic macros.])
  fi
])# TCLSADIE_C_OLDGCC_VARARGS
