# TCLSADIE_TCL_WIDEINT
# --------------------
AC_DEFUN([TCLSADIE_TCL_WIDEINT],
[AC_REQUIRE([AC_PROG_CC])dnl
  AC_CACHE_CHECK([whether $CC can compile code using Tcl_WideInt variables],
                 [tclsadie_cv_tcl_wideint],
                 [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <tcl.h>
                                                       Tcl_WideInt w;]],
                                                     [[w = 0;]])],
                                    [tclsadie_cv_tcl_wideint=yes],
                                    [tclsadie_cv_tcl_wideint=no])])
  if test "x$tclsadie_cv_tcl_wideint" = "xyes"; then
    AC_DEFINE([HAVE_TCL_WIDEINT], 1,
              [Define to 1 if the Tcl_WideInt type is supported.])
  fi
])# TCLSADIE_TCL_WIDEINT

